WD_IDENTIFY(8)

NAME
wd_identify - get watchdog driver identity

SYNOPSIS
wd_identify [-c filename|--config-file filename] [-v|--verbose]

DESCRIPTION
This utility opens /dev/watchdog and gets the identification string from the watchdog which then is printed. The device is closed afterwards.

An exit code of zero indicates success in getting the driver identity, while a non-zero exit code indicates an error (not configured in the config file, no device driver loaded, or driver failed to respond to ioctl request).

The wd_identify tool can only be used without causing a reboot if your kernel is not compiled with the CONFIG_WATCHDOG_NOWAYOUT option enabled.

Note that the watchdog and/or wd_keepalive daemons may have to be stopped to make sure that wd_identify can access the watchdog device.

OPTIONS
Available command line options are the following:

-c config-file, --config-file config-file
    Use config-file as the configuration file instead of the default /etc/watchdog.conf.

-v, --verbose
    Print more diagnostic messages. This covers parsing of the config file and also causes the program to read-back the current watchdog time-out value (if successful in opening the device).

FILES

/dev/watchdog
    The watchdog device.

SEE ALSO
watchdog.conf(5)

watchdog(8)